InterfaceError bei Zugriff auf MySQL 5.0 Datenbank

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
Antworten
Jensemann

Montag 14. November 2005, 17:01

Hallo zusammen,

ich habe mir gestern den neuen MySQL 5.0 Server installiert. Anschließend habe ich meine alten Datenbanken mit dem Migrationstool auf die neue Version migriert.

Dies hat auch alles soweit wunderbar funktioniert. Wenn ich aber mittels eines Python-Scripts eine SELECT-Abfrage absetze, bekomme ich folgenden Traceback:

Code: Alles auswählen

Traceback (most recent call last):
  File "<interactive input>", line 1, in ?
  File "J:\Programme\Python24\Comunio-Scanner 2.0\datenbankKommunikation_V2.py", line 296, in getAllVereine
    statement.execute("SELECT * FROM vereine ORDER BY name")
  File "J:\Programme\Python24\lib\site-packages\MySQLdb\cursors.py", line 137, in execute
    self.errorhandler(self, exc, value)
  File "J:\Programme\Python24\lib\site-packages\MySQLdb\connections.py", line 33, in defaulterrorhandler
    raise errorclass, errorvalue
InterfaceError: (0, '')
Komischerweise bekomme ich diese Meldung nur bei SELECT-Anweisungen, UPDATE- oder INSERT-Calls funktionieren problemlos.

Meine Vermutung ist, dass das MySQLdb-Modul noch nicht mit der neuen Version des MySQL-Servers klar kommt. Dies wird ja auch bei SourceForge bestätigt:
MySQL versions 3.22-4.1; and Python versions 1.5.2-2.4 are supported.
Weiß zufällig jemand von euch, wann es eine angepasste Version geben wird? Oder wie ich den oben genannten Fehler umgehen kann?

Bin für jede Hilfe dankbar :-)

MfG,
Jensemann
Leonidas
Administrator
Beiträge: 16024
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Montag 14. November 2005, 17:57

Jensemann hat geschrieben:Weiß zufällig jemand von euch, wann es eine angepasste Version geben wird?
Ich würde mal auf "When it's done" tippen. :wink:
Wobei ich gar nicht mal so sicher wäre, dass es an der alten Version liegt.
Jensemann hat geschrieben:Oder wie ich den oben genannten Fehler umgehen kann?
Vielleicht hilft es ja, die mysqldb-python Quellen mit MySQL 5 neu zu kompilieren?
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Antworten